classification
Title: SyntaxWarning: invalid escape sequence in Modules/_sha3/cleanup.py
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Tiger-222, benjamin.peterson, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch, patch

Created on 2019-01-02 19:01 by Tiger-222, last changed 2019-01-07 07:25 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11411 merged Tiger-222, 2019-01-02 19:07
PR 11411 merged Tiger-222, 2019-01-02 19:07
PR 11412 merged miss-islington, 2019-01-02 19:27
PR 11412 merged miss-islington, 2019-01-02 19:27
PR 11412 merged miss-islington, 2019-01-02 19:27
PR 11413 merged miss-islington, 2019-01-02 19:27
PR 11413 merged miss-islington, 2019-01-02 19:27
PR 11413 merged miss-islington, 2019-01-02 19:27
Messages (5)
msg332888 - (view) Author: Mickaël Schoentgen (Tiger-222) * Date: 2019-01-02 19:01
This warning is emitted on Modules/_sha3/cleanup.py, line 11:

    SyntaxWarning: invalid escape sequence \
      CPP2 = re.compile("\ //(.*)")
msg332889 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-01-02 19:27
New changeset d466c43e55cd32af84e353f0e9a48b09b7534f61 by Benjamin Peterson (Mickaël Schoentgen) in branch 'master':
closes bpo-35643: Fix a SyntaxWarning: invalid escape sequence in Modules/_sha3/cleanup.py (GH-11411)
https://github.com/python/cpython/commit/d466c43e55cd32af84e353f0e9a48b09b7534f61
msg332891 - (view) Author: miss-islington (miss-islington) Date: 2019-01-02 19:59
New changeset 6d04bc9a2eb02efdb49f14f2c9664fe687f9a170 by Miss Islington (bot) in branch '3.7':
closes bpo-35643: Fix a SyntaxWarning: invalid escape sequence in Modules/_sha3/cleanup.py (GH-11411)
https://github.com/python/cpython/commit/6d04bc9a2eb02efdb49f14f2c9664fe687f9a170
msg332999 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-01-04 20:43
Would not be better to just remove a backslash?
msg333140 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-01-07 07:25
New changeset 3e0144a6c95433f347bb7e44a98c84deae8853ff by Benjamin Peterson (Miss Islington (bot)) in branch '3.6':
closes bpo-35643: Fix a SyntaxWarning: invalid escape sequence in Modules/_sha3/cleanup.py (GH-11413)
https://github.com/python/cpython/commit/3e0144a6c95433f347bb7e44a98c84deae8853ff
History
Date User Action Args
2019-01-07 07:25:12benjamin.petersonsetmessages: + msg333140
2019-01-04 20:43:53serhiy.storchakasetkeywords: patch, patch
nosy: + serhiy.storchaka
messages: + msg332999

2019-01-02 19:59:00miss-islingtonsetnosy: + miss-islington
messages: + msg332891
2019-01-02 19:41:14Tiger-222setstatus: open -> closed
resolution: fixed
2019-01-02 19:40:22Tiger-222setstatus: closed -> open
resolution: fixed -> (no value)
versions: + Python 3.6, Python 3.7
2019-01-02 19:27:41miss-islingtonsetpull_requests: + pull_request10807
2019-01-02 19:27:36miss-islingtonsetpull_requests: + pull_request10808
2019-01-02 19:27:32miss-islingtonsetpull_requests: + pull_request10806
2019-01-02 19:27:26miss-islingtonsetpull_requests: + pull_request10805
2019-01-02 19:27:20miss-islingtonsetpull_requests: + pull_request10804
2019-01-02 19:27:14miss-islingtonsetpull_requests: + pull_request10803
2019-01-02 19:27:02benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg332889

resolution: fixed
stage: patch review -> resolved
2019-01-02 19:07:38Tiger-222setkeywords: + patch
stage: patch review
pull_requests: + pull_request10802
2019-01-02 19:07:35Tiger-222setkeywords: + patch
stage: (no value)
pull_requests: + pull_request10801
2019-01-02 19:01:47Tiger-222create